Bug 150157 - #pragma GCC visibility isn't properly handled for builtin functions
Summary: #pragma GCC visibility isn't properly handled for builtin functions
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jakub Jelinek
QA Contact:
URL: http://gcc.gnu.org/bugzilla/show_bug....
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-03 00:11 UTC by H.J. Lu
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 08:45:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 20297 None None None Never

Description H.J. Lu 2005-03-03 00:11:39 UTC
When "#pragma GCC visibility push" is used on builtin functions, it may
not be properly handled if "#pragma GCC visibility pop" is missing.
There is a testcase in gcc PR.

Comment 1 Jakub Jelinek 2006-08-29 08:45:36 UTC
Visibility stuff should be fixed in current redhat/gcc-4_1-branch where the
visibility fixes from the trunk have been backported.
This will show up in FC6/RHEL5, for RHEL4 that's too invasive.


Note You need to log in before you can comment on or make changes to this bug.